Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service.impl
Class ProfileAttributeServiceImpl

    java.lang.Object
      org.springframework.dao.support.DaoSupport
          org.springframework.orm.hibernate3.support.HibernateDaoSupport
              com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateDaoImpl
                  com.jaspersoft.jasperserver.api.metadata.user.service.impl.ProfileAttributeServiceImpl

All Implemented Interfaces:
  PersistentObjectResolver, ProfileAttributeService, org.springframework.beans.factory.InitializingBean

    public class ProfileAttributeServiceImpl

extends HibernateDaoImpl
implements ProfileAttributeService, PersistentObjectResolver

Author:
  sbirney

Nested Class Summary

Nested classes/interfaces inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateDaoImpl
`HibernateDaoImpl.DaoCallback`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.springframework.dao.support.DaoSupport
`logger`

Constructor Summary
`ProfileAttributeServiceImpl()`

Method Summary
`ResourceFactory` | `getObjectMappingFactory()`
`ResourceFactory` | `getPersistentClassFactory()`
`java.lang.Object` | `getPersistentObject(java.lang.Object clientObject)`
`ProfileAttribute` | `getProfileAttribute(ExecutionContext context, ProfileAttribute attr)`
`java.util.List` | `getProfileAttributesForPrincipal(ExecutionContext context, java.lang.Object principal)`
`HibernateRepositoryService` | `getRepositoryService()`
`UserAuthorityService` | `getUserAuthorityService()`
`ProfileAttribute` | `newProfileAttribute(ExecutionContext context)`
`void` | `putProfileAttribute(ExecutionContext context, ProfileAttribute attr)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext arg0)`
`void` | `setObjectMappingFactory(ResourceFactory objectFactory)`
`void` | `setPersistentClassFactory(ResourceFactory persistentClassFactory)`
`void` | `setRepositoryService(HibernateRepositoryService repoService)`
`void` | `setUserAuthorityService(UserAuthorityService userService)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateDaoImpl
`endOperation, executeCallback, executeWriteCallback, executeWriteCallback, getOperationTimestamp, startOperation`

Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport
`checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

Methods inherited from class org.springframework.dao.support.DaoSupport
`afterPropertiesSet, initDao`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### ProfileAttributeServiceImpl

    public ProfileAttributeServiceImpl()

Method Detail

### getRepositoryService

    public HibernateRepositoryService getRepositoryService()

  Returns:
    Returns the repoService.

### setRepositoryService

    public void setRepositoryService(HibernateRepositoryService repoService)

  Parameters:
    `repoService` - The repoService to set.

### getUserAuthorityService

    public UserAuthorityService getUserAuthorityService()

  Specified by:
    `getUserAuthorityService` in interface `ProfileAttributeService`
  Returns:
    Returns the userService.

### setUserAuthorityService

    public void setUserAuthorityService(UserAuthorityService userService)

  Specified by:
    `setUserAuthorityService` in interface `ProfileAttributeService`
  Parameters:
    `userService` - The userService to set.

### getObjectMappingFactory

    public ResourceFactory getObjectMappingFactory()

### setObjectMappingFactory

    public void setObjectMappingFactory(ResourceFactory objectFactory)

### getPersistentClassFactory

    public ResourceFactory getPersistentClassFactory()

### setPersistentClassFactory

    public void setPersistentClassFactory(ResourceFactory persistentClassFactory)

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext arg0)
                               throws org.springframework.beans.BeansException

  Throws:
    `org.springframework.beans.BeansException`

### newProfileAttribute

    public ProfileAttribute newProfileAttribute(ExecutionContext context)

  Specified by:
    `newProfileAttribute` in interface `ProfileAttributeService`

### putProfileAttribute

    public void putProfileAttribute(ExecutionContext context,
                                    ProfileAttribute attr)

  Specified by:
    `putProfileAttribute` in interface `ProfileAttributeService`

### getProfileAttribute

    public ProfileAttribute getProfileAttribute(ExecutionContext context,
                                                ProfileAttribute attr)

  Specified by:
    `getProfileAttribute` in interface `ProfileAttributeService`

### getProfileAttributesForPrincipal

    public java.util.List getProfileAttributesForPrincipal(ExecutionContext context,
                                                           java.lang.Object principal)

  Specified by:
    `getProfileAttributesForPrincipal` in interface `ProfileAttributeService`

### getPersistentObject

    public java.lang.Object getPersistentObject(java.lang.Object clientObject)

  Specified by:
    `getPersistentObject` in interface `PersistentObjectResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.